From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/cramjam/
Date: Sun, 12 May 2024 13:05:39 +0000 (UTC) [thread overview]
Message-ID: <1715519126.30cb331a0cb38935be60791dc5e217279fb663f3.mgorny@gentoo> (raw)
commit: 30cb331a0cb38935be60791dc5e217279fb663f3
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun May 12 12:30:06 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun May 12 13:05:26 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=30cb331a
dev-python/cramjam: Run cargo test as well
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/cramjam/cramjam-2.8.3.ebuild | 8 ++++++++
1 file changed, 8 insertions(+)
diff --git a/dev-python/cramjam/cramjam-2.8.3.ebuild b/dev-python/cramjam/cramjam-2.8.3.ebuild
index f5ee8c61b442..9f8de85b5fb7 100644
--- a/dev-python/cramjam/cramjam-2.8.3.ebuild
+++ b/dev-python/cramjam/cramjam-2.8.3.ebuild
@@ -194,6 +194,14 @@ src_prepare() {
distutils-r1_src_prepare
}
+src_test() {
+ pushd ../libcramjam >/dev/null || die
+ cargo_src_test
+ popd >/dev/null || die
+
+ distutils-r1_src_test
+}
+
python_test() {
local EPYTEST_DESELECT=(
# random health check failures
next reply other threads:[~2024-05-12 13:05 UTC|newest]
Thread overview: 29+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-05-12 13:05 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-02 8:49 [gentoo-commits] repo/gentoo:master commit in: dev-python/cramjam/ Michał Górny
2024-10-16 17:53 Michał Górny
2024-10-12 7:04 Michał Górny
2024-10-12 6:33 Sam James
2024-10-07 17:32 Michał Górny
2024-10-07 12:20 Michał Górny
2024-09-25 12:05 Michał Górny
2024-09-06 16:47 Michał Górny
2024-09-05 16:02 Michał Górny
2024-06-30 18:26 Michał Górny
2024-06-30 17:51 Michał Górny
2024-04-06 12:37 Michał Górny
2024-04-06 10:02 Arthur Zamarin
2024-04-06 10:02 Arthur Zamarin
2024-04-06 10:02 Arthur Zamarin
2024-04-06 10:02 Arthur Zamarin
2024-03-22 6:14 Arthur Zamarin
2024-03-22 6:14 Arthur Zamarin
2024-03-22 3:58 Sam James
2024-03-21 18:44 Arthur Zamarin
2024-03-21 15:19 Michał Górny
2024-03-21 15:19 Michał Górny
2024-03-03 3:37 Michał Górny
2024-02-28 23:16 Sam James
2024-02-28 21:39 Jakov Smolić
2024-02-28 20:56 Sam James
2024-02-28 20:50 Jakov Smolić
2024-02-28 16:48 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1715519126.30cb331a0cb38935be60791dc5e217279fb663f3.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox